org.bootchart.common

## Class CPUSample

- java.lang.Object
- - org.bootchart.common.Sample
  - - org.bootchart.common.CPUSample

-     public class CPUSample
      extends Sample

  CPU statistics sample.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `double` | `io` The percentage of CPU time spent waiting on disk I/O.
    `double` | `sys` System load.
    `double` | `user` User load.

    - ### Fields inherited from class org.bootchart.common.Sample

      `time, TIME_FORMAT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CPUSample(java.util.Date time, double user, double sys, double io)` Creates a new sample.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()` Returns the string representation of the sample.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### user

          public double user

      User load.

    - #### sys

          public double sys

      System load.

    - #### io

          public double io

      The percentage of CPU time spent waiting on disk I/O.

  - ### Constructor Detail

    - #### CPUSample

          public CPUSample(java.util.Date time,
                           double user,
                           double sys,
                           double io)

      Creates a new sample.
      Parameters:
        `time` - sample time
        `user` - user load
        `sys` - system load
        `io` - IO wait

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Returns the string representation of the sample.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        string representation